%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Distribution:		CCux
Packager:		Christian Metzen <metzench@ccux-linux.de>

Name: 			gnome-python
Version: 		2.20.0
Release: 		1
License: 		LGPL
Group: 			Development/Languages
Summary: 		The sources for the PyGNOME Python extension module
BuildRoot: 		%{_tmppath}/%{name}-%{version}-root
Source: 		gnome-python-%{version}.tar.bz2
Requires: 		gnome-python-bonobo
Requires: 		gnome-python-gnomevfs
BuildRequires: 		autoconf
BuildRequires: 		automake
BuildRequires: 		libbonobo-devel
BuildRequires: 		libbonoboui-devel
BuildRequires: 		libgnomeui-devel
BuildRequires: 		libtool
BuildRequires: 		PyGTK-devel
BuildRequires: 		PyORBit-devel
BuildRequires: 		python-devel

%description
The gnome-python package contains the source packages for the Python
bindings for GNOME called PyGNOME.

PyGNOME is an extension module for Python that provides access to the
base GNOME libraries, so you have access to more widgets, a simple
configuration interface, and metadata support.

%package capplet
Summary: 	Python bindings for GNOME Panel applets.
Group: 		Development/Languages
Requires: 	%{name} = %{version}-%{release}

%description capplet
This module contains a wrapper that allows GNOME Control Center
capplets to be in Python.

%package canvas
Summary: 	Python bindings for the GNOME Canvas.
Group: 		Development/Languages
Requires: 	%{name} = %{version}-%{release}
Requires: 	gtk2+
Requires: 	libgnomecanvas
Requires: 	PyGTK

%description canvas
This module contains a wrapper that allows use of the GNOME Canvas
in Python.

%package bonobo
Summary: 	Python bindings for interacting with bonobo.
Group: 		Development/Languages
Requires: 	%{name} = %{version}-%{release}
Requires: 	libbonobo
Requires: 	libbonoboui
Requires: 	PyORBit

%description bonobo
This module contains a wrapper that allows the creation of bonobo
components and the embedding of bonobo components in Python.

%package gconf
Summary: 	Python bindings for interacting with GConf
Group: 		Development/Languages
Requires: 	%{name} = %{version}-%{release}
Requires: 	GConf

%description gconf
This module contains a wrapper that allows the use of GConf via Python.

%package gnomevfs
Summary: 	Python bindings for interacting with gnome-vfs
Group: 		Development/Languages
Requires: 	%{name} = %{version}-%{release}
Requires: 	gnome-vfs
Requires: 	libbonobo

%description gnomevfs
This module contains a wrapper that allows the use of gnome-vfs via python.

%package devel
Summary: 	Development files for building add-on libraries
Group: 		Development/Languages
Requires: 	%{name} = %{version}-%{release}
Requires: 	gnome-vfs-devel
Requires: 	pkg-config

%description devel
This package contains files required to build wrappers for GNOME add-on
libraries so that they interoperate with gnome-python2.

%prep
%setup -q -n gnome-python-%{version}

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS
%dir %{python_sitearch}/gtk-2.0/gnome/
%{python_sitearch}/gtk-2.0/gnome/__init__.*
%{python_sitearch}/gtk-2.0/gnome/_gnome.so
%{python_sitearch}/gtk-2.0/gnome/ui.so
%{_datadir}/pygtk/

%files canvas
%defattr(-, root, root)
%dir %{python_sitearch}/gtk-2.0/gnome/
%{python_sitearch}/gtk-2.0/gnome/__init__.*
%{python_sitearch}/gtk-2.0/gnome/canvas.*
%{python_sitearch}/gtk-2.0/gnomecanvas.so
%defattr(644,root,root,755)
%doc examples/canvas/*

%files bonobo
%defattr(-, root, root)
%dir %{python_sitearch}/gtk-2.0/bonobo/
%{python_sitearch}/gtk-2.0/bonobo/__init__.*
%{python_sitearch}/gtk-2.0/bonobo/*.so
%defattr(644,root,root,755)
%doc examples/bonobo/*

%files gconf
%defattr(-, root, root)
%{python_sitearch}/gtk-2.0/gconf.so
%defattr(644,root,root,755)
%doc examples/gconf/*

%files gnomevfs
%defattr(-, root, root)
%{python_sitearch}/gtk-2.0/gnomevfs
%{python_sitearch}/gtk-2.0/gnome/vfs*
%{_libdir}/gnome-vfs-2.0/modules/libpythonmethod.so
%defattr(644,root,root,755)
%doc examples/vfs/*

%files devel
%defattr(-, root, root)
%{_includedir}/gnome-python-2.0/pygnomevfs.h
%{_includedir}/gnome-python-2.0/pygnomevfsbonobo.h
%{_libdir}/pkgconfig/gnome-python-2.0.pc
%{python_sitearch}/gtk-2.0/bonobo/*.la
%{python_sitearch}/gtk-2.0/*.la
%{python_sitearch}/gtk-2.0/gnome/*.la
%{_libdir}/gnome-vfs-2.0/modules/*.la

%changelog
* Sun Sep 30 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.0-1
- Version update
* Fri Mar 23 2007 Christian Metzen <metzench@ccux-linux.de> 2.18.0-1
- Version update
* Sun Nov 12 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.2-2
- small bugfix
* Sun Nov 12 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.2-1
- Initial release